import { baseHttpUtils } from "@/utils/http/baseHttpUtils";
import { dict_pre, equipcomponentdic_pre } from "./preTypes";
export interface EquipCategoryReq {
  distinct: boolean;
  pageNumber: number;
  pageSize: number;
  projection: string[];
}
class DicController {
  static http = new baseHttpUtils();
  /**
   * 查询项目下类型的信息点
   * @param params
   * @returns
   */
  static async getDataDictionary(params) {
    return await this.http.postRequest(dict_pre + "/query", params);
  }
  /**
   * 统计-根据条件统计返回信息点
   * @param params
   * @returns
   */
  static async deliveredInfos(params) {
    return await this.http.postRequest(
      equipcomponentdic_pre + "/delivered/infos",
      params
    );
  }
  /**
   * 字典-项目下已有的设备类型带系统
   * @param params
   * @returns
   */
  static async getEquipLkSys(params: EquipCategoryReq) {
    return await this.http.postRequest(
      dict_pre + "/system/equip/category",
      params
    );
  }
  /**
   * 头部信息查询(查询所有设备类型-所有部件类型-所有系统类型-所有专业类型)
   */
  static async queryPhysicsAllType(params) {
    return await this.http.postRequest(dict_pre + "/category", params);
  }
}

export default DicController;
