import { sysGraphHttpUtils } from "@/utils/http/sysGraphHttpUtils";

export class sysGraphController { 
    private static sysGraphHttpUtilsInstance = new sysGraphHttpUtils();
    /**
     * 查询系统图列表
     * @param grpphName 系统图名称
     */
    static async getDiagrams(grpphName: string) { 
        var resultObj = await this.sysGraphHttpUtilsInstance.postRequest('/diagram/getDiagrams', { name: grpphName });
        if(resultObj.result!='success')
            console.error(resultObj.reason);
        var dataArr = resultObj.data || [];
        dataArr.forEach(_c => { 
            //图状态（Draft: 未发布, WaitCheck: 待审核, Checked: 审核完成, Recyle: 回收站, Publish: 发布）
            _c.stateName = _c.state == 'Draft' ? '草稿' : _c.state == 'Publish' ? '上架' : _c.state == 'Recyle' ? '下架' : '';
        });
        return dataArr;
    }
}