import { logicConfig } from "@/logicConfig";
import layoutMain from "@/Main.vue";
//登录页
import login from "@/components/frame/login.vue";
//系统图
import systemGraph from "@/components/systemGraph";
//系统图编辑页面
import systemGraphEdit from "@/components/systemGraph/edit";

import facilityLedger from "@/components/old-adm/ledger/facility/index";
import batchPointAssets from '@/components/old-adm/ledger/facility/batchPoint' //批量维护设备位置


export default [
  {
    path: logicConfig.routerNameConfig.loginRouteName,
    name: "登录页",
    component: login,
  },
  {
    path: "/",
    name: "首页",
    component: layoutMain,
  },
  {
    path: logicConfig.routerNameConfig.systemGraphName,
    name: "系统图",
    component: layoutMain,
    children: [
      {
        path: "/",
        component: systemGraph,
      },
      {
        path: "/ledger/facility",
        name: "facilityLedger",
        component: facilityLedger,
        meta: {keepAlive: true, isBack: false, breadcrumbs: [{label: '台账管理', path: '/ledger/facility'}, {label: '设备台账'}]}
      },
      {
        path: '/ledger/batchPointAssets',
        name: 'BatchPointAssets',
        component: batchPointAssets,
        meta: {keepAlive: false,
          breadcrumbs: [{label: '台账管理', path: '/ledger/facility'}, {
            label: '设备台账',
            path: '/ledger/facility'
          }, {label: '批量维护设备位置'}]
        }
      },
    ],
  },
  {
    path: logicConfig.routerNameConfig.systemGraphEditName,
    name: "系统图编辑器",
    component: systemGraphEdit,
  },
];
